module identity2_mod
  use adj_mod
  implicit none 
  
contains
  
  integer function identity2_lop( adj, add, model, data)
    logical,intent(in)      ::    adj, add
    real, dimension(:)      ::              model, data
    call adjnull (adj,add,model,data)
    call identity2_lop2(adj,add,model,data)
    identity2_lop = 0
  end function identity2_lop
  
  subroutine identity2_lop2( adj, add, model, data)
    logical           ::     adj, add
    real, dimension(:)::          model, data

    if (adj) then       
       model = model + data    
    else       
       data  = data + model      
    end if
    
  end subroutine identity2_lop2

end module identity2_mod

