module identity_mod
  use adj_mod
  implicit none 
  
contains
  
  integer function identity_lop( adj, add, model, data)
    logical,intent(in) ::        adj, add
    real, dimension(:) ::                  model, data
    call adjnull (adj,add,model,data)
    call identity_lop2(adj,add,model,data)
    identity_lop = 0
  end function identity_lop
  
  subroutine identity_lop2( adj, add, model, data)
    logical           ::    adj, add
    real, dimension(:)::              model, data

    if (adj) then       
       model = model + data    
    else       
       data  = data + model      
    end if
    
  end subroutine identity_lop2

end module identity_mod

