module mat_row_init

  use reg_row_mod
  use identity_mod
  use identity2_mod

 implicit none
  
  integer, private :: nd, nm
  
contains
  
  subroutine hell_mat_init(nd_init, nm_init)
    
    integer ::             nd_init, nm_init
    nd = nd_init
    nm = nm_init
    
  end subroutine hell_mat_init

  integer function hell_mat_op( adj, add, model, data)
    logical, intent(in)::       adj, add
    real, dimension(:) ::                 model, data
    
    call mat2(identity_lop,identity2_lop,adj,add,model(1:nm),&
    model(nm+1:),data(1:nd),data(nd+1:))
    
    hell_mat_op = 0
 
  end function hell_mat_op

end module mat_row_init






