module reg_row_mod

  implicit none
  logical, parameter, private :: T = .true., F = .false.  

contains

  subroutine mat2 (oper1, oper2, adj, add, mod1, mod2, dat1, dat2)

    interface
       function oper1 (adj, add, mod, dat) result (stat)
         integer              :: stat
         logical, intent (in) :: adj, add
         real, dimension (:)  :: mod, dat
       end function oper1
       function oper2 (adj, add, mod, dat) result (stat)
         integer    :: stat
         logical, intent (in) :: adj, add
         real, dimension (:)  :: mod, dat
       end function oper2
    end interface

    logical, intent (in)  :: adj, add
    real, dimension (:)   :: mod1, mod2, dat1, dat2
    integer               :: stat1, stat2

    stat1 = oper1 (adj, add, mod1, dat1)
    stat2 = oper2 (adj, add, mod2, dat2)
         
  end subroutine mat2

end module reg_row_mod



