!<
!create_reflectors
!
!Usage:
!create_reflectors.x  <in.H >out.H
!
!Input Parameters:
!
!
!Output Parameters:
!
!
!
!Description:
!
!
!
!>
!-------------------------------------------------
!
!Author: Robert Clapp, ESMB 463, 7230253
!
!Date Created:Tue Feb 24 12:11:14 PST 1998
!
!Purpose:
!
program create_reflectors 
  use sorting_mod
  implicit none
  integer n1,n2,nlayers,i1,i2,nlayer_count,nf1,nf2,pos1,bi,ei,bt,ia,et&
    &,it,ib
  integer auxpar,b1,e1,i,n1out
  real o1,d1,time,o2,d2,j1,j2,j3,j4,f,btime,etime,angle_b,angle_a
  real, allocatable :: input(:,:),output(:,:)
  character(len=128) :: file
  integer getch,hetch,putch
  call initpar()
  call doc('/wrk1/sep115/antoine1/Src/create_reflectors.rs90')
    if (0>= hetch('n1','d',n1 )) then
      call erexit('Trouble reading  n1 from history  ')
    end if
    if (0>= hetch('n2','d',n2 )) then
      call erexit('Trouble reading  n2 from history  ')
    end if
    if (0>= getch('n1out','d',n1out )) then
      n1out = 300
    end if
    if (0.ne.putch('Read  from param: #n1out ','d',n1out)) then
      call erexit('Trouble writing n1out to history')
    end if
    if (0.ne. putch('esize','d',8 )) then
      call erexit('Trouble writing  esize to history  ')
    end if
    if (0.ne. putch('n1','d',n1out )) then
      call erexit('Trouble writing  n1 to history  ')
    end if
    if (0.ne. putch('n2','d',1 )) then
      call erexit('Trouble writing  n2 to history  ')
    end if
  if (n1.ne.2) then
    call erexit("n1 must be 2")
  end if
  allocate(input(2,n2),output(2,n1out))
  call sreed("in",input,n1*n2*4)
  call quick_sort(input,2,n1,n2)	
  i1=0
  do i2=1,n2-1 
    b1=i1+1
    e1=(n1out-i1)/(n2-i2)+b1-1
!		write(0,*) i2,b1,e1,input(:,i2:i2+1)
    do i=b1,e1 
      f=real(i-b1)/real(e1-b1)
      i1=			i1+1
      output(:,i1)=(1.-f)*input(:,i2)+f*input(:,i2+1)
    end do
  end do 
  call srite("out",output,8*n1out)
end program  
