! Copyright 1999 Stanford University
!All rights reserved
!
!Author: Sergey Fomel
!
module compress  
  use helix
  implicit none
  contains
  subroutine resize( aa)
    type( filter)                      :: aa, bb
    logical, dimension( size( aa%lag)) :: keep
    keep = ( abs( aa%flt) > epsilon( aa%flt))
    call allocatehelix( bb, count( keep))
    bb%flt = pack( aa%flt, keep)
    bb%lag = pack( aa%lag, keep)
    call deallocatehelix( aa)
    aa = bb
  end subroutine 
end module 
